curl "https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
{
"webhook": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Incident Webhook",
"url": "https://example.com/webhook",
"events": ["incident.created", "incident.resolved"],
"is_active": true,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
},
"deliveries": [
{
"id": "660e8400-e29b-41d4-a716-446655440000",
"event_type": "incident.created",
"payload": { "incident_id": "inc_123", "title": "API Outage" },
"status_code": 200,
"error_message": null,
"created_at": "2026-02-20T14:00:00.000Z"
}
]
}
Retrieve webhook details and recent delivery history
curl "https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
{
"webhook": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Incident Webhook",
"url": "https://example.com/webhook",
"events": ["incident.created", "incident.resolved"],
"is_active": true,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
},
"deliveries": [
{
"id": "660e8400-e29b-41d4-a716-446655440000",
"event_type": "incident.created",
"payload": { "incident_id": "inc_123", "title": "API Outage" },
"status_code": 200,
"error_message": null,
"created_at": "2026-02-20T14:00:00.000Z"
}
]
}
curl "https://kodostatus.com/api/v1/webhooks/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
{
"webhook": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Incident Webhook",
"url": "https://example.com/webhook",
"events": ["incident.created", "incident.resolved"],
"is_active": true,
"created_at": "2026-01-15T10:30:00.000Z",
"updated_at": "2026-01-15T10:30:00.000Z"
},
"deliveries": [
{
"id": "660e8400-e29b-41d4-a716-446655440000",
"event_type": "incident.created",
"payload": { "incident_id": "inc_123", "title": "API Outage" },
"status_code": 200,
"error_message": null,
"created_at": "2026-02-20T14:00:00.000Z"
}
]
}